
package de.ivu.elect.business.personenpruefung.control.mehrstaatigkeit;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.person.entity.Personendaten;

@Specializes
public class CorePersonendatenMehrstaatigkeitMatcherResolver extends PersonendatenMehrstaatigkeitMatcherResolver {

  private static final long serialVersionUID = 1L;

  @Inject
  protected KandidaturMehrstaatigkeitMatcher kandidaturMehrstaatigkeitMatcher;

  public CorePersonendatenMehrstaatigkeitMatcherResolver() {
    super();
  }

  @Override
  public AbstractPersonendatenMehrstaatigkeitMatcher getMatcher(Personendaten personendaten) {
    if (personendaten.isInstanceOf(Kandidatur.class)) {
      return kandidaturMehrstaatigkeitMatcher;
    }

    return super.getMatcher(personendaten);
  }
}
